#
# spec file for package rubygem-nokogiri
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-nokogiri
Version:        1.6.1
Release:        4.24
%define mod_name nokogiri
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://nokogiri.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:       gem2rpm.yml
# MANUAL
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  %{rubygem mini_portile}
# /MANUAL
Summary:        Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser.  Among Nokogiri's
many features is the ability to search documents via XPath or CSS3 selectors.
XML is like violence - if it doesn’t solve your problems, you are not using
enough of it.

%prep

%build

%install
# MANUAL
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
# /MANUAL
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.rdoc README.rdoc" \
  -f
%gem_cleanup
# MANUAL
rm -rf %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/ports
# /MANUAL


%gem_packages

%changelog
* Tue Jul 15 2014 mrueckert@suse.de
- use new buildrequires format
* Thu Jul 10 2014 mrueckert@suse.de
- added gem2rpm.yml and adapt spec file accordingly to the new
  output
* Thu Jun 26 2014 mrueckert@suse.de
- update rpm macros requires to version 5
* Tue Jun 17 2014 mrueckert@suse.de
- also package the gem_extensions dir on 13.2 and SLE 12
  (actually we need a conditional on ruby version for this)
* Wed Dec 18 2013 coolo@suse.com
- update to 1.6.1
  * Bugfixes
  * (JRuby) Fix out of memory bug when certain invalid documents are parsed.
  * (JRuby) Fix regression of billion-laughs vulnerability. #586
* Fri Oct  4 2013 coolo@suse.com
- remove ports (libxml tar)
* Wed Jun 26 2013 coolo@suse.com
- avoid --force in u-a
* Thu Jun 13 2013 coolo@suse.com
- use system libs
* Sun Jun  9 2013 coolo@suse.com
- updated to version 1.6.0
  * Notes
  * mini_portile is now a runtime dependency
  * Ruby 1.9.2 and higher now required
  * Features
  * (MRI) Source code for libxml 2.8.0 and libxslt 1.2.26 is packaged
    with the gem. These libraries are compiled at gem install time
    unless the environment variable NOKOGIRI_USE_SYSTEM_LIBRARIES is
    set. VERSION_INFO (also `nokogiri -v`) exposes whether libxml was
    compiled from packaged source, or the system library was used.
  * (Windows) libxml upgraded to 2.8.0
  * Deprecations
  * Support for Ruby 1.8.7 and prior has been dropped
* Sat Jun  8 2013 coolo@suse.com
- updated to version 1.5.10
  * (JRuby) Fix "null document" error when parsing an empty IO in jruby 1.7.3. #883
  * (JRuby) Fix schema validation when XSD has DOCTYPE set to DTD. #861 (Thanks, Patrick Cheng!)
  * (MRI) Fix segfault when there is no default subelement for an HTML node. #917
  * (MRI) Fixed a memory leak in fragment parsing if nodes are not all subsequently reparented. #856
  * Use rb_ary_entry instead of RARRAY_PTR (you know, for Rubinius). #877 (Thanks, Dirkjan Bussink!)
  * Fix TypeError when running tests. #900 (Thanks, Cédric Boutillier!)
* Sat Mar 23 2013 coolo@suse.com
- updated to version 1.5.9
  * Bugfixes
  * Ensure that prefixed attributes are properly namespaced when reparented. #869
  * Fix for inconsistent namespaced attribute access for SVG nested in HTML. #861
  * (MRI) Fixed a memory leak in fragment parsing if nodes are not all subsequently reparented. #856
* Wed Mar 20 2013 coolo@suse.com
- updated to version 1.5.8
  * Bugfixes
  * (JRuby) Fix EmptyStackException thrown by elements with xlink:href attributes and no base_uri #534, #805
  * Fixes duplicate attributes issue introduced in 1.5.7. #865
  * Allow use of a prefixed namespace on a root node using Nokogiri::XML::Builder #868
* Tue Mar 19 2013 coolo@suse.com
- updated to version 1.5.7
  * Features
  * Windows support for Ruby 2.0.
  * Bugfixes
  * SAX::Parser.parse_io throw an error when used with lower case encoding. #828
  * (JRuby) Java Nokogiri is finally green (passes all tests) under 1.8 and 1.9 mode. High five everyone. #798, #705
  * (JRuby) Nokogiri::XML::Reader broken (as a pull parser) on jruby - reads the whole XML document. #831
  * (JRuby) JRuby hangs parsing "&amp;". #837
  * (JRuby) JRuby NPE parsing an invalid XML instruction. #838
  * (JRuby) Node#content= incompatibility. #839
  * (JRuby) to_xhtml doesn't print the last slash for self-closing tags in JRuby. #834
  * (JRuby) Adding an EntityReference after a Text node mangles the entity in JRuby. #835
  * (JRuby) JRuby version inconsistency: nil for empty attributes. #818
  * CSS queries for classes (e.g., ".foo") now treat all whitespace identically. #854
  * Namespace behavior cleaned up and made consistent between JRuby and MRI. #846, #801 (Thanks, Michael Klein!)
  * (MRI) SAX parser handles empty processing instructions. #845
* Fri Dec 21 2012 coolo@suse.com
- updated to version 1.5.6
  * Features
  * Improved performance of XML::Document#collect_namespaces. #761 (Thanks, Juergen Mangler!)
  * New callback SAX::Document#processing_instruction (Thanks, Kitaiti Makoto!)
  * Node#native_content= allows setting unescaped node contant. #768
  * XPath lookup with namespaces supports symbol keys. #729 (Thanks, Ben Langfeld.)
  * XML::Node#[]= stringifies values. #729 (Thanks, Ben Langfeld.)
  * bin/nokogiri will process a document from $stdin
  * bin/nokogiri -e will execute a program from the command line
  * bin/nokogiri --version will print the Xerces and NekoHTML versions when ran with JRuby.
  * Bugfixes
  * Nokogiri now detects XSLT transform errors. #731 (Thanks, Justin Fitzsimmons!)
  * Don't throw an Error when trying to replace top-level text node in DocumentFragment. #775
  * Raise an ArgumentError if an invalid encoding is passed to the SAX parser. #756 (Thanks, Bradley Schaefer!)
  * [JRuby] space prior to xml preamble causes nokogiri to fail parsing. (fixed along with #748) #790
  * [JRuby] Fixed the bug Nokogiri::XML::Node#content inconsistency between Java and C. #794, #797
  * [JRuby] raises INVALID_CHARACTER_ERR exception when EntityReference name starts with '#'. #719
  * [JRuby] doesn't coerce namespaces out of strings on a direct subclass of Node. #715
  * [JRuby] Node#content now renders newlines properly. #737 (Thanks, Piotr Szmielew!)
  * [JRuby] Unknown namespace are ignore when the recover option is used. #748
  * [JRuby] XPath queries for namespaces should not throw exceptions when called twice in a row. #764
  * [JRuby] More consistent (with libxml2) whitespace formatting when emitting XML. #771
  * [JRuby] namespaced attributes broken when appending raw xml to builder. #770
  * [JRuby] Nokogiri::XML::Document#wrap raises undefined method `length' for nil:NilClass when trying to << to a node. #781
  * [JRuby] Fixed "bad file descriptor" bug when closing open file descriptors. #495
  * [JRuby] JRuby/CRuby incompatibility for attribute decorators. #785
  * [JRuby] Issues parsing valid XML with no internal subset in the DTD. #547, #811
  * [JRuby] Issues parsing valid node content when it contains colons. #728
  * [JRuby] Correctly parse the doc type of html documents. #733
  * [JRuby] Include dtd in the xml output when a builder is used with create_internal_subset. #751
  * [JRuby] builder requires textwrappers for valid utf8 in jruby, not in mri. #784
* Thu Jun 28 2012 coolo@suse.com
- update to 1.5.5
  * tons of fixes for jruby
* Mon Apr  2 2012 coolo@suse.com
- update to 1.5.2
  * Features
  * XML::Builder#comment allows creation of comment nodes.
  * CSS searches now support namespaced attributes. #593
  * Java integration feature is added. Now, XML::Document.wrap
    and XML::Document#to_java methods are available.
  * RelaxNG validator support in the `nokogiri` cli utility. #591 (thanks, Dan Radez!)
  * Bugfixes
  * Fix many memory leaks and segfault opportunities. Thanks, Tim Elliott!
  * extconf searches homebrew paths if homebrew is installed.
  * Inconsistent behavior of Nokogiri 1.5.0 Java #620
  * Inheriting from Nokogiri::XML::Node on JRuby (1.6.4/5) fails #560
  * XML::Attr nodes are not allowed to be added as node children, so an
    exception is raised. #558
  * No longer defensively "pickle" adjacent text nodes on
    Node#add_next_sibling and Node#add_previous_sibling calls. #595.
  * Java version inconsistency: it returns nil for empty attributes #589
  * to_xhtml incorrectly generates <p /></p> when tag is empty #557
  * Document#add_child now accepts a Node, NodeSet, DocumentFragment,
    or String. #546.
  * Document#create_element now recognizes namespaces containing
    non-word characters (like "SOAP-ENV"). This is mostly relevant to
    users of Builder, which calls Document#create_element for nearly
    everything. #531.
  * File encoding broken in 1.5.0 / jruby / windows #529
  * Java version does not return namespace defs as attrs for ::HTML #542
  * Bad file descriptor with Nokogiri 1.5.0 #495
  * remove_namespace! doesn't work in pure java version #492
  * The Nokogiri Java native build throws a null pointer exception
    when ActiveSupport's .blank? method is called directly on a parsed
    object. #489
  * 1.5.0 Not using correct character encoding #488
  * Raw XML string in XML Builder broken on JRuby #486
  * Nokogiri 1.5.0 XML generation broken on JRuby #484
  * Do not allow multiple root nodes. #550
  * Fixes for custom XPath functions. #605, #606 (thanks, Juan Wajnerman!)
  * Node#to_xml does not override :save_with if it is provided. #505
  * Node#set is a private method [JRuby]. #564 (thanks, Nick Sieger!)
  * C14n cleanup and Node#canonicalize (thanks, Ivan Pirlik!) #563
* Wed Jan 25 2012 fcastelli@suse.com
- Drop -1_5 suffix and go back to rubygem-nokogiri. This makes possible
  to update rubygem-nokogiri on Factory.
* Wed Aug 24 2011 fcastelli@novell.com
- Create rubygem-nokogiri-1_5 package
* Wed Aug 24 2011 fcastelli@novell.com
- update to version 1.5.0
  - Notes
  - JRuby performance tuning
  - JRuby support is provided by a new pure-java backend.
  - Features
  - extracted sets of Node::SaveOptions into Node::SaveOptions::DEFAULT_{X,H,XH}TML (refactor)
  - Bugfixes
  - default output of XML on JRuby is no longer formatted due to inconsistent
    whitespace handling. #415
  - (JRuby) making empty NodeSets with null `nodes` member safe to operate on. #443
  - Fix a bug in advanced encoding detection that leads to partially duplicated
    document when parsing an HTML file with unknown encoding.
  - Add support for <meta charset=“…”>.
  - Node#inner_text no longer returns nil. (JRuby) #264
  - Deprecations
  - Ruby 1.8.6 is deprecated. Nokogiri will install, but official support
    is ended.
  - LibXML 2.6.16 and earlier are deprecated. Nokogiri will refuse to install.
  - FFI support is removed.
- 1.4.7
  - Bugfixes
  - Fix a bug in advanced encoding detection that leads to partially duplicated
    document when parsing an HTML file with unknown encoding.
    Thanks, Timothy Elliott (@ender672)! #478
- 1.4.6
  - Notes
  - This version is functionally identical to 1.4.5.
  - Ruby 1.8.6 support has been restored.
- 1.4.5
  - New Features
  - Nokogiri::HTML::Document#title accessor gets and sets the document title.
  - extracted sets of Node::SaveOptions into Node::SaveOptions::DEFAULT_{X,H,XH}TML (refactor)
  - Raise an exception if a string is passed to Nokogiri::XML::Schema#validate. #406
  - Bugfixes
  - Node#serialize-and-friends now accepts a SaveOption object as the, erm, save object.
  - Nokogiri::CSS::Parser has-a Nokogiri::CSS::Tokenizer
  - JRUBY+FFI only
  - Weak references are now threadsafe. #355
  - Make direct start_element() callback (currently used for HTML::SAX::Parser)
    pass attributes in assoc array, just as emulated start_element()
    callback does. rel. #356
  - HTML::SAX::Parser should call back a block given to parse*() if any,
    just as XML::SAX::Parser does.
  - Add further encoding detection to HTML parser that libxml2 does not do.
  - Document#remove_namespaces! now handles attributes with namespaces. #396
  - XSLT::Stylesheet#transform no longer segfaults when handed a non-XML::Document. #452
  - XML::Reader no longer segfaults when under GC pressure. #439
* Thu Jul 21 2011 fcastelli@novell.com
- Added provides nokogiri_1_4, this is needed to build latest
  versions of rubygem-feedzirra
* Tue May 24 2011 schubi@novell.com
- Changed licence to MIT
* Tue Dec 21 2010 asn@cynapses.org
- update to version 1.4.4
  * New Features
    o XML::Node#children= sets the node’s inner html (much like #inner_html=),
    but returns the reparent node(s).
    o XSLT supports function extensions. #336
    o XPath bind parameter substitution. #329
    o XML::Reader node type constants. #369
    o SAX Parser context provides line and column information
  * Bugfixes
    o XML::DTD#attributes returns an empty hash instead of nil when there are no
    attributes.
    o XML::DTD#{keys,each} now work as expected. #324
    o {XML,HTML}::DocumentFragment.{new,parse} no longer strip leading and trailing
    whitespace. #319
    o XML::Node#{add_child,add_previous_sibling,add_next_sibling,replace} return a
    NodeSet when passed a string.
    o Unclosed tags parsed more robustly in fragments. #315
    o XML::Node#{replace,add_previous_sibling,add_next_sibling} edge cases fixed
    related to libxml’s text node merging. #308
    o Fixed a segfault when GC occurs during xpath handler argument marshalling. #345
    o Added hack to Slop decorator to work with previously defined methods. #330
    o Fix a memory leak when duplicating child nodes. #353
    o Fixed off-by-one bug with nth-last-{child,of-type} CSS selectors when NOT using
    an+b notation. #354
    o Fixed passing of non-namespace attributes to SAX::Document#start_element. #356
    o Workaround for libxml2 in-context parsing bug. #362
    o Fixed NodeSet#wrap on nodes within a fragment. #331
* Tue Dec 21 2010 asn@cynapses.org
- update to version 1.4.3.1
  * New Features
    o XML::Reader#empty_element? returns true for empty elements. #262
    o Node#remove_namespaces! now removes namespace declarations as well. #294
    o NodeSet#at_xpath, NodeSet#at_css and NodeSet#> do what the corresponding
    methods of Node do.
  * Bugfixes
    o XML::NodeSet#{include?,delete,push} accept an XML::Namespace
    o XML::Document#parse added for parsing in the context of a document
    o XML::DocumentFragment#inner_html= works with contextual parsing! #298, #281
    o lib/nokogiri/css/parser.y Combined CSS functions + pseudo selectors fixed
    o Reparenting text nodes is safe, even when the operation frees adjacent
    merged nodes. #283
    o Fixed libxml2 versionitis issue with xmlFirstElementChild et al. #303
    o XML::Attr#add_namespace now works as expected. #252
    o HTML::DocumentFragment uses the string’s encoding. #305
    o Fix the CSS3 selector translation rule for the general sibling combinator
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.4.2
  - XML::Node#parse will parse XML or HTML fragments with respect
    to the context node.
  - XML::Node#namespaces returns all namespaces defined in the node
    and all ancestor nodes (previously did not return ancestors'
    namespace definitions).
  - Added Enumerable to XML::Node
  - Nokogiri::XML::Schema#validate now uses xmlSchemaValidateFile
    if a filename is passed, which is faster and more
    memory-efficient. GH #219
  - XML::Document#create_entity will create new EntityDecl objects.
    GH #174
  - JRuby FFI implementation no longer uses ObjectSpace._id2ref,
    instead using Charles Nutter's rocking Weakling gem.
  - Nokogiri::XML::Node#first_element_child fetch the first child
    node that is an ELEMENT node.
  - Nokogiri::XML::Node#last_element_child fetch the last child
    node that is an ELEMENT node.
  - Nokogiri::XML::Node#elements fetch all children nodes that are
    ELEMENT nodes.
  - Nokogiri::XML::Node#add_child, #add_previous_sibling, #before,
    [#]add_next_sibling, #after, #inner_html, #swap and #replace all
    now accept a Node, DocumentFragment, NodeSet, or a string
    containing markup.
  - Node#fragment? indicates whether a node is a DocumentFragment.
  - XML::NodeSet is now always decorated (if the document has
    decorators).  GH #198
  - XML::NodeSet#slice gracefully handles offset+length larger than
    the set length. GH #200
  - XML::Node#content= safely unlinks previous content. GH #203
  - XML::Node#namespace= takes nil as a parameter
  - XML::Node#xpath returns things other than NodeSet objects.
    GH #208
  - XSLT::StyleSheet#transform accepts hashes for parameters.
    GH #223
  - Psuedo selectors inside not() work. GH #205
  - XML::Builder doesn't break when nodes are unlinked.
    Thanks to vihai! GH #228
  - Encoding can be forced on the SAX parser. Thanks Eugene
    Pimenov! GH #204
  - XML::DocumentFragment uses XML::Node#parse to determine
    children.
  - Fixed a memory leak in xml reader. Thanks sdor! GH #244
  - Node#replace returns the new child node as claimed in the RDoc.
    Previously returned +self+.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.4.1
  - Added Nokogiri::LIBXML_ICONV_ENABLED
  - Alias Node#[] to Node#attr
  - XML::Node#next_element added
  - XML::Node#> added for searching a nodes immediate children
  - XML::NodeSet#reverse added
  - Added fragment support to Node#add_child,
    Node#add_next_sibling,
  - Node#add_previous_sibling, and Node#replace.
  - XML::Node#previous_element implemented
  - Rubinius support
  - Ths CSS selector engine now supports :has()
  - XML::NodeSet#filter() was added
  - XML::Node.next= and .previous= are aliases for add_next_sibling
    and add_previous_sibling. GH #183
  - XML fragments with namespaces do not raise an exception
    (regression in 1.4.0)
  - Node#matches? works in nodes contained by a DocumentFragment.
    GH #158
  - Document should not define add_namespace() method. GH #169
  - XPath queries returning namespace declarations do not segfault.
  - Node#replace works with nodes from different documents. GH #162
  - Adding XML::Document#collect_namespaces
  - Fixed bugs in the SOAP4R adapter
  - Fixed bug in XML::Node#next_element for certain edge cases
  - Fixed load path issue with JRuby under Windows. GH #160.
  - XSLT#apply_to will honor the "output method". Thanks
    richardlehane!
  - Fragments containing leading text nodes with newlines now parse
    properly. GH #178.
* Fri Nov 13 2009 mrueckert@suse.de
- update to 1.4.0
  - Node#at_xpath returns the first element of the NodeSet matching
    the XPath expression.
  - Node#at_css returns the first element of the NodeSet matching
    the CSS selector.
  - NodeSet#| for unions GH #119 (Thanks Serabe!)
  - NodeSet#inspect makes prettier output
  - Node#inspect implemented for more rubyish document inspecting
  - Added XML::DTD#external_id
  - Added XML::DTD#system_id
  - Added XML::ElementContent for DTD Element content validity
  - Better namespace declaration support in Nokogiri::XML::Builder
  - Added XML::Node#external_subset
  - Added XML::Node#create_external_subset
  - Added XML::Node#create_internal_subset
  - XML Builder can append raw strings (GH #141, patch from dudleyf)
  - XML::SAX::ParserContext added
  - XML::Document#remove_namespaces! for the namespace-impaired
  - returns nil when HTML documents do not declare a meta encoding
    tag. GH #115
  - Uses RbConfig::CONFIG['host_os'] to adjust ENV['PATH'] GH #113
  - NodeSet#search is more efficient GH #119 (Thanks Serabe!)
  - NodeSet#xpath handles custom xpath functions
  - Fixing a SEGV when XML::Reader gets attributes for current node
  - Node#inner_html takes the same arguments as Node#to_html GH#117
  - DocumentFragment#css delegates to it's child nodes GH #123
  - NodeSet#[] works with slices larger than NodeSet#length GH #131
  - Reparented nodes maintain their namespace. GH #134
  - Fixed SEGV when adding an XML::Document to NodeSet
  - XML::SyntaxError can be duplicated. GH #148
  - Hpricot compatibility layer removed
* Mon Oct 19 2009 dmacvicar@suse.de
- update to 1.3.3
  - NodeSet#children returns all children of all nodes
  - Override libxml-ruby's global error handler
  - ParseOption#strict fixed
  - Fixed a segfault when sending an empty string to
    Node#inner_html= GH #88
  - String encoding is now set to UTF-8 in Ruby 1.9
  - Fixed a segfault when moving root nodes between documents. GH
    [#91]
  - Fixed an O(n) penalty on node creation. GH #101
  - Allowing XML documents to be output as HTML documents
  - Hpricot compatibility layer will be removed in 1.4.0
  - Nokogiri::XML::DTD#validate will validate your document
  - Nokogiri::XML::NodeSet#search will search top level nodes. GH
    73
  - Removed namespace related methods from Nokogiri::XML::Document
  - Fixed a segfault when a namespace was added twice
  - Made nokogiri work with Snow Leopard GH 79
  - Mailing list has moved to:
    groups.google.com/group/nokogiri-talk
  - HTML fragments now correctly handle comments and CDATA blocks.
    GH 78
  - Nokogiri::XML::Document#clone is now an alias of dup
  - Nokogiri::XML::SAX::Document#start_element_ns is deprecated,
    please switch to
    Nokogiri::XML::SAX::Document#start_element_namespace
  - Nokogiri::XML::SAX::Document#end_element_ns is deprecated,
    please switch to
    Nokogiri::XML::SAX::Document#end_element_namespace
- from 1.3.1
  - extconf.rb checks for optional RelaxNG and Schema functions
  - Namespace nodes are added to the Document node cache
  - Builder changes scope based on block arity
  - Builder supports methods ending in underscore similar to tagz
  - Nokogiri::XML::Node#<=> compares nodes based on Document
    position
  - Nokogiri::XML::Node#matches? returns true if Node can be found
    with given selector.
  - Nokogiri::XML::Node#ancestors now returns an
    Nokogiri::XML::NodeSet
  - Nokogiri::XML::Node#ancestors will match parents against
    optional selector
  - Nokogiri::HTML::Document#meta_encoding for getting the meta
    encoding
  - Nokogiri::HTML::Document#meta_encoding= for setting the meta
    encoding
  - Nokogiri::XML::Document#encoding= to set the document encoding
  - Nokogiri::XML::Schema for validating documents against XSD
    schema
  - Nokogiri::XML::RelaxNG for validating documents against RelaxNG
    schema
  - Nokogiri::HTML::ElementDescription for fetching HTML element
    descriptions
  - Nokogiri::XML::Node#description to fetch the node description
  - Nokogiri::XML::Node#accept implements Visitor pattern
  - bin/nokogiri for easily examining documents (Thanks Yutaka
    HARA!)
  - Nokogiri::XML::NodeSet now supports more Array and Enumerable
    operators: index, delete, slice, - (difference), +
    (concatenation), & (intersection), push, pop, shift, ==
  - Nokogiri.XML, Nokogiri.HTML take blocks that receive
    Nokogiri::XML::ParseOptions objects
  - Nokogiri::XML::Node#namespace returns a
    Nokogiri::XML::Namespace
  - Nokogiri::XML::Node#namespace= for setting a node’s namespace
  - Nokogiri::XML::DocumentFragment and
    Nokogiri::HTML::DocumentFragment have a sensible API and a more
    robust implementation.
  - JRuby 1.3.0 support via FFI.
  - Fixed a problem with nil passed to CDATA constructor
  - Fragment method deals with regular expression characters
    (Thanks Joel!) LH 73
  - Fixing builder scope issues LH 61, LH 74, LH 70
  - Fixed a problem when adding a child could remove the child
    namespace LH#78
  - Fixed bug with unlinking a node then reparenting it. (GH#22)
  - Fixed failure to catch errors during XSLT parsing (GH#32)
  - Fixed a bug with attribute conditions in CSS selectors (GH#36)
  - Fixed intolerance of HTML attributes without values in
    Node#before/after/inner_html=. (GH#35)
* Mon Mar 23 2009 mrueckert@suse.de
- update to 1.2.3
  * Fixing bug where a node is passed in to Node#new
  * Namespace should be assigned on DocumentFragment creation.
    LH #66
  * Nokogiri::XML::NodeSet#dup works GH #10
  * Nokogiri::HTML returns an empty Document when given a blank
    string GH#11
  * Adding a child will remove duplicate namespace declarations
    LH #67
  * Builder methods take a hash as a second argument
* Fri Mar 20 2009 dmacvicar@suse.de
- initial package for 1.2.2
